#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>

#define ADC_DEVICE	"/dev/mcp3201"

/*******************程序说明*********************
ADC MCP3201具有12位的分辨率，对MCP3201的访问每次读
取的数据存放在一个2字节数组中，在例子程序中，ret[0]
中是12位数据的高4位，ret[1]存放的是12位数据的低八位
**********************End***********************/
int main(void) {
	int fd,i;
	unsigned char ret[2] = {0x0};

	fd = open(ADC_DEVICE, O_RDONLY);
	printf("Starting mcp3201\n");
	
	if (fd < 0) {
	  printf("Device Open failure\n");
	  return fd;
	}
	for(;;) {
	  read(fd, ret, 2);
	  printf("The value is 0x%x 0x%x\n", ret[0], ret[1]);
	}
	close(fd);
	return 0;
}
